{
  "name": "tms-obc-web",
  "version": "1.2.0",
  "description": "运营后台-WEB",
  "author": "cipchk <cipchk@qq.com>",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/ng-alain/ng-alain.git"
  },
  "homepage": "https://e.ng-alain.com/theme/pro",
  "scripts": {
    "ng-high-memory": "node --max_old_space_size=8000 ./node_modules/@angular/cli/bin/ng",
    "ng": "ng",
    "start": "ng s -o --port 4202  --host 0.0.0.0",
    "startIp": "ng serve -o --port 4202 --host 172.29.9.71 --open",
    "hmr": "ng s -o --hmr",
    "build": "npm run ng-high-memory build --",
    "build:dev": "npm run build -- -c dev",
    "build:test": "npm run build -- -c test",
    "analyze": "npm run ng-high-memory build -- --source-map",
    "analyze:view": "source-map-explorer dist/**/*.js",
    "lint": "npm run lint:ts && npm run lint:style",
    "lint:ts": "ng lint --fix",
    "lint:style": "stylelint \"src/**/*.less\" --syntax less --fix",
    "e2e": "ng e2e",
    "test": "ng test --watch",
    "test-coverage": "ng test --code-coverage --watch=false",
    "color-less": "ng-alain-plugin-theme -t=colorLess",
    "theme": "ng-alain-plugin-theme -t=themeCss",
    "icon": "ng g ng-alain:plugin icon",
    "prepare": "husky install"
  },
  "dependencies": {
    "@agm/core": "^1.1.0",
    "@amap/amap-jsapi-loader": "^1.0.1",
    "@angular/animations": "~12.2.0",
    "@angular/common": "~12.2.0",
    "@angular/compiler": "~12.2.0",
    "@angular/core": "~12.2.0",
    "@angular/forms": "~12.2.0",
    "@angular/platform-browser": "~12.2.0",
    "@angular/platform-browser-dynamic": "~12.2.0",
    "@angular/router": "~12.2.0",
    "@delon/abc": "^12.3.0",
    "@delon/acl": "^12.3.0",
    "@delon/auth": "^12.3.0",
    "@delon/cache": "^12.3.0",
    "@delon/chart": "^12.3.0",
    "@delon/form": "^12.3.0",
    "@delon/mock": "^12.3.0",
    "@delon/theme": "^12.3.0",
    "@delon/util": "^12.3.0",
    "@fullcalendar/core": "^5.9.0",
    "@fullcalendar/daygrid": "^5.9.0",
    "@fullcalendar/interaction": "^5.9.0",
    "@fullcalendar/list": "^5.9.0",
    "@fullcalendar/timegrid": "^5.9.0",
    "@swimlane/ngx-charts": "^18.0.1",
    "ajv": "^8.6.2",
    "file-saver": "^2.0.5",
    "html2canvas": "^1.4.1",
    "js-base64": "^3.6.1",
    "masonry-layout": "^4.2.2",
    "ng-gallery": "^5.0.0",
    "ng-zorro-antd": "^12.0.1",
    "ngx-tinymce": "^12.0.0",
    "ngx-trend": "^7.0.0",
    "perfect-scrollbar": "^1.5.2",
    "qrious": "^4.0.2",
    "quill": "^1.3.7",
    "quill-image-resize-module": "^3.0.0",
    "rxjs": "~6.6.0",
    "screenfull": "^5.1.0",
    "tslib": "^2.3.0",
    "zone.js": "~0.11.4"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~12.2.0",
    "@angular-eslint/builder": "~12.3.1",
    "@angular-eslint/eslint-plugin": "~12.3.1",
    "@angular-eslint/eslint-plugin-template": "~12.3.1",
    "@angular-eslint/schematics": "~12.3.1",
    "@angular-eslint/template-parser": "~12.3.1",
    "@angular/cli": "~12.2.0",
    "@angular/compiler-cli": "~12.2.0",
    "@angular/language-service": "~12.2.0",
    "@delon/testing": "^12.3.0",
    "@types/d3-geo": "^3.0.2",
    "@types/d3-sankey": "^0.11.2",
    "@types/file-saver": "^2.0.3",
    "@types/jasmine": "~3.8.0",
    "@types/jasminewd2": "~2.0.3",
    "@types/js-base64": "^3.0.0",
    "@types/node": "^12.11.1",
    "@typescript-eslint/eslint-plugin": "~4.29.2",
    "@typescript-eslint/parser": "~4.29.2",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "~8.3.0",
    "eslint-plugin-import": "~2.24.1",
    "eslint-plugin-jsdoc": "~36.0.7",
    "eslint-plugin-prefer-arrow": "~1.2.3",
    "eslint-plugin-prettier": "~3.4.1",
    "husky": "^6.0.0",
    "jasmine-core": "~3.8.0",
    "jasmine-spec-reporter": "~5.0.0",
    "karma": "~6.3.0",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage": "~2.0.3",
    "karma-coverage-istanbul-reporter": "~3.0.2",
    "karma-jasmine": "~4.0.0",
    "karma-jasmine-html-reporter": "~1.7.0",
    "lint-staged": "^11.1.2",
    "ng-alain": "^12.3.0",
    "ng-alain-plugin-theme": "^12.0.0",
    "ng-alain-sts": "^0.0.1",
    "node-fetch": "^2.6.1",
    "prettier": "^2.2.1",
    "protractor": "~7.0.0",
    "source-map-explorer": "^2.5.2",
    "stylelint": "^13.13.1",
    "stylelint-config-prettier": "^8.0.2",
    "stylelint-config-rational-order": "^0.1.2",
    "stylelint-config-standard": "^22.0.0",
    "stylelint-declaration-block-no-ignored-properties": "^2.4.0",
    "stylelint-order": "^4.1.0",
    "ts-node": "~8.3.0",
    "typescript": "~4.3.5"
  },
  "lint-staged": {
    "(src)/**/*.{html,ts}": [
      "eslint --fix"
    ],
    "(src)/**/*.less": [
      "stylelint --syntax less --fix"
    ]
  },
  "private": true,
  "theme": {
    "name": "pro",
    "version": "12.0.0"
  }
}
